# Type alias ByHash

ByHash: {
className: string;
} | {
css: string;
} | {
id: string;
} | {
js: string;
} | {
linkText: string;
} | {
name: string;
} | {
partialLinkText: string;
} | {
tagName: string;
} | {
xpath: string;
}

Short-hand expressions for the primary element locator strategies. For example the following two statements are equivalent:

    var e1 = driver.findElement(By.id('foo'));
    var e2 = driver.findElement({id: 'foo'});

Care should be taken when using JavaScript minifiers (such as the Closure compiler), as locator hashes will always be parsed using the un-obfuscated properties listed.

#### Type declaration

- ##### className: string

#### Type declaration

- ##### css: string

#### Type declaration

- ##### id: string

#### Type declaration

- ##### js: string

#### Type declaration

- ##### linkText: string

#### Type declaration

- ##### name: string

#### Type declaration

- ##### partialLinkText: string

#### Type declaration

- ##### tagName: string

#### Type declaration

- ##### xpath: string

Generated using TypeDoc